## rust-libslirp 4.3.2

=== Makefile ===
CARGO = cargo
CARGOFLAGS =
SLIRPHELPER = target/debug/libslirp-helper

.PHONY: $(SLIRPHELPER)
$(SLIRPHELPER):
	$(CARGO) build --all-features $(CARGOFLAGS)

.PHONY: test
test: $(SLIRPHELPER)
	SLIRPHELPER=$(SLIRPHELPER) \
	PYTHONPATH=. \
	PYTHONIOENCODING=utf-8 \
		unshare -Ur \
		dbus-run-session --config-file=tests/dbus.conf \
		python3 -m unittest -v

## rust-libslirp 4.3.0

=== debian/changelog ===
rust-libslirp (4.3.0-4) unstable; urgency=medium

  * Team upload.
  * Package libslirp 4.3.0 from crates.io using debcargo 2.6.0
  * Bump enumflags2 dependency to 0.7.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 26 Jun 2023 23:24:47 +0000

rust-libslirp (4.3.0-3) unstable; urgency=medium

  * Team upload.
  * Package libslirp 4.3.0 from crates.io using debcargo 2.4.4
  * Don't relax dependency on mio, it seems the newer version is actually
    needed ( Closes: 981840 )
  * Set collapse_features = true, it seems that the features were already
    collapsed in the package that was uploaded, perhaps this was done
    manually.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 06 Feb 2021 18:11:59 +0000

rust-libslirp (4.3.0-2) unstable; urgency=high

  * Rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Jan 2021 10:23:40 +0100

rust-libslirp (4.3.0-1) unstable; urgency=medium

  * Package libslirp 4.3.0 from crates.io using debcargo 2.4.3

  [ Christopher Obbard ]
  * Team upload.
  * Package libslirp 4.3.0 from crates.io using debcargo 2.4.3

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Dec 2020 13:10:43 +0100

=== debian/control ===
Source: rust-libslirp
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-enumflags2-0.7+default-dev,
 librust-ipnetwork-0+default-dev (>= 0.17-~~),
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-libc-0.2+default-dev,
 librust-libslirp-sys-4+default-dev (>= 4.2.0-~~),
 librust-libsystemd-0.2+default-dev,
 librust-mio-0.6+default-dev (>= 0.6.19-~~),
 librust-mio-extras-2+default-dev (>= 2.0.5-~~),
 librust-nix-0+default-dev (>= 0.17-~~),
 librust-slab-0.4+default-dev,
 librust-structopt-0.3+default-dev,
 librust-url-2+default-dev (>= 2.1-~~),
 librust-zbus-1+default-dev,
 librust-zvariant-2+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/libslirp]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/libslirp
Homepage: https://gitlab.freedesktop.org/slirp/libslirp-rs
X-Cargo-Crate: libslirp
Rules-Requires-Root: no

Package: librust-libslirp-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-enumflags2-0.7+default-dev,
 librust-ipnetwork-0+default-dev (>= 0.17-~~),
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-libc-0.2+default-dev,
 librust-libslirp-sys-4+default-dev (>= 4.2.0-~~),
 librust-libsystemd-0.2+default-dev,
 librust-mio-0.6+default-dev (>= 0.6.19-~~),
 librust-mio-extras-2+default-dev (>= 2.0.5-~~),
 librust-nix-0+default-dev (>= 0.17-~~),
 librust-slab-0.4+default-dev,
 librust-structopt-0.3+default-dev,
 librust-url-2+default-dev (>= 2.1-~~),
 librust-zbus-1+default-dev,
 librust-zvariant-2+default-dev
Provides:
 librust-libslirp+default-dev (= ${binary:Version}),
 librust-libslirp+enumflags2-dev (= ${binary:Version}),
 librust-libslirp+ipnetwork-dev (= ${binary:Version}),
 librust-libslirp+lazy-static-dev (= ${binary:Version}),
 librust-libslirp+libc-dev (= ${binary:Version}),
 librust-libslirp+libsystemd-dev (= ${binary:Version}),
 librust-libslirp+mio-dev (= ${binary:Version}),
 librust-libslirp+mio-extras-dev (= ${binary:Version}),
 librust-libslirp+nix-dev (= ${binary:Version}),
 librust-libslirp+slab-dev (= ${binary:Version}),
 librust-libslirp+structopt-dev (= ${binary:Version}),
 librust-libslirp+url-dev (= ${binary:Version}),
 librust-libslirp+zbus-dev (= ${binary:Version}),
 librust-libslirp+zvariant-dev (= ${binary:Version}),
 librust-libslirp-4-dev (= ${binary:Version}),
 librust-libslirp-4+default-dev (= ${binary:Version}),
 librust-libslirp-4+enumflags2-dev (= ${binary:Version}),
 librust-libslirp-4+ipnetwork-dev (= ${binary:Version}),
 librust-libslirp-4+lazy-static-dev (= ${binary:Version}),
 librust-libslirp-4+libc-dev (= ${binary:Version}),
 librust-libslirp-4+libsystemd-dev (= ${binary:Version}),
 librust-libslirp-4+mio-dev (= ${binary:Version}),
 librust-libslirp-4+mio-extras-dev (= ${binary:Version}),
 librust-libslirp-4+nix-dev (= ${binary:Version}),
 librust-libslirp-4+slab-dev (= ${binary:Version}),
 librust-libslirp-4+structopt-dev (= ${binary:Version}),
 librust-libslirp-4+url-dev (= ${binary:Version}),
 librust-libslirp-4+zbus-dev (= ${binary:Version}),
 librust-libslirp-4+zvariant-dev (= ${binary:Version}),
 librust-libslirp-4.3-dev (= ${binary:Version}),
 librust-libslirp-4.3+default-dev (= ${binary:Version}),
 librust-libslirp-4.3+enumflags2-dev (= ${binary:Version}),
 librust-libslirp-4.3+ipnetwork-dev (= ${binary:Version}),
 librust-libslirp-4.3+lazy-static-dev (= ${binary:Version}),
 librust-libslirp-4.3+libc-dev (= ${binary:Version}),
 librust-libslirp-4.3+libsystemd-dev (= ${binary:Version}),
 librust-libslirp-4.3+mio-dev (= ${binary:Version}),
 librust-libslirp-4.3+mio-extras-dev (= ${binary:Version}),
 librust-libslirp-4.3+nix-dev (= ${binary:Version}),
 librust-libslirp-4.3+slab-dev (= ${binary:Version}),
 librust-libslirp-4.3+structopt-dev (= ${binary:Version}),
 librust-libslirp-4.3+url-dev (= ${binary:Version}),
 librust-libslirp-4.3+zbus-dev (= ${binary:Version}),
 librust-libslirp-4.3+zvariant-dev (= ${binary:Version}),
 librust-libslirp-4.3.0-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+default-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+enumflags2-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+ipnetwork-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+lazy-static-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+libc-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+libsystemd-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+mio-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+mio-extras-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+nix-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+slab-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+structopt-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+url-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+zbus-dev (= ${binary:Version}),
 librust-libslirp-4.3.0+zvariant-dev (= ${binary:Version})
Description: high-level Rust bindings for libslirp
 This package contains the source for the Rust libslirp crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: libslirp-helper
Architecture: any
Multi-Arch: allowed
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: helper process for libslirp
 This package contains the following binaries built from the Rust crate
 "libslirp":
  - libslirp-helper

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --all-features
Features: test-name=rust-libslirp:@
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets
Features: test-name=librust-libslirp-dev:default
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features enumflags2
Features: test-name=librust-libslirp-dev:enumflags2
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features ipnetwork
Features: test-name=librust-libslirp-dev:ipnetwork
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features lazy_static
Features: test-name=librust-libslirp-dev:lazy_static
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features libc
Features: test-name=librust-libslirp-dev:libc
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features libsystemd
Features: test-name=librust-libslirp-dev:libsystemd
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features mio
Features: test-name=librust-libslirp-dev:mio
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features mio-extras
Features: test-name=librust-libslirp-dev:mio-extras
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features nix
Features: test-name=librust-libslirp-dev:nix
Depends: dh-cargo (>= 18), librust-etherparse-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.0 --all-targets --no-default-features --features slab
Features: test-name=librust-libslirp-dev:slab

## rust-libslirp 4.3.1

=== debian/changelog ===
rust-libslirp (4.3.1-2) unstable; urgency=medium

  * Team upload.
  * Package libslirp 4.3.1 from crates.io using debcargo 2.6.1
  * Enable nix 0.27 patch.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 15:23:42 +0000

rust-libslirp (4.3.1-1) unstable; urgency=medium

  * Team upload.
  * Package libslirp 4.3.1 from crates.io using debcargo 2.6.1
  * Update patches for new upstream.
  * Tighten nix dependency, unfortunately nix 0.27 requires changes that break
    builds with nix 0.26.
  * Add patch for nix 0.27 but don't enable it yet.
  * Bump etherparse dependency to 0.13
  * Mark tests for the "structopt" feature as broken.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 28 Feb 2024 09:53:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
  librust-ipnetwork-0+default-dev (>= 0.17-~~),
  librust-lazy-static-1+default-dev (>= 1.4-~~),
  librust-libc-0.2+default-dev,
- librust-libslirp-sys-4+default-dev (>= 4.2.0-~~),
- librust-libsystemd-0.2+default-dev,
+ librust-libslirp-sys-4+default-dev (>= 4.2.1-~~),
+ librust-libsystemd-0.5+default-dev,
  librust-mio-0.6+default-dev (>= 0.6.19-~~),
  librust-mio-extras-2+default-dev (>= 2.0.5-~~),
- librust-nix-0+default-dev (>= 0.17-~~),
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+fs-dev,
+ librust-nix-0.27+ioctl-dev,
+ librust-nix-0.27+sched-dev,
  librust-slab-0.4+default-dev,
  librust-structopt-0.3+default-dev,
  librust-url-2+default-dev (>= 2.1-~~),
@@ -23,7 +26,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/libslirp]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/libslirp
 Homepage: https://gitlab.freedesktop.org/slirp/libslirp-rs
@@ -39,11 +42,14 @@
  librust-ipnetwork-0+default-dev (>= 0.17-~~),
  librust-lazy-static-1+default-dev (>= 1.4-~~),
  librust-libc-0.2+default-dev,
- librust-libslirp-sys-4+default-dev (>= 4.2.0-~~),
- librust-libsystemd-0.2+default-dev,
+ librust-libslirp-sys-4+default-dev (>= 4.2.1-~~),
+ librust-libsystemd-0.5+default-dev,
  librust-mio-0.6+default-dev (>= 0.6.19-~~),
  librust-mio-extras-2+default-dev (>= 2.0.5-~~),
- librust-nix-0+default-dev (>= 0.17-~~),
+ librust-nix-0.27+default-dev,
+ librust-nix-0.27+fs-dev,
+ librust-nix-0.27+ioctl-dev,
+ librust-nix-0.27+sched-dev,
  librust-slab-0.4+default-dev,
  librust-structopt-0.3+default-dev,
  librust-url-2+default-dev (>= 2.1-~~),
@@ -94,24 +100,23 @@
  librust-libslirp-4.3+url-dev (= ${binary:Version}),
  librust-libslirp-4.3+zbus-dev (= ${binary:Version}),
  librust-libslirp-4.3+zvariant-dev (= ${binary:Version}),
- librust-libslirp-4.3.0-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+default-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+enumflags2-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+ipnetwork-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+lazy-static-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+libc-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+libsystemd-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+mio-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+mio-extras-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+nix-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+slab-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+structopt-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+url-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+zbus-dev (= ${binary:Version}),
- librust-libslirp-4.3.0+zvariant-dev (= ${binary:Version})
+ librust-libslirp-4.3.1-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+default-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+enumflags2-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+ipnetwork-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+lazy-static-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+libc-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+libsystemd-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+mio-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+mio-extras-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+nix-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+slab-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+structopt-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+url-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+zbus-dev (= ${binary:Version}),
+ librust-libslirp-4.3.1+zvariant-dev (= ${binary:Version})
 Description: high-level Rust bindings for libslirp
- This package contains the source for the Rust libslirp crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "libslirp"
 
 Package: libslirp-helper
 Architecture: any

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --all-features
Features: test-name=rust-libslirp:@
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets
Features: test-name=librust-libslirp-dev:default
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features enumflags2
Features: test-name=librust-libslirp-dev:enumflags2
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features ipnetwork
Features: test-name=librust-libslirp-dev:ipnetwork
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features lazy_static
Features: test-name=librust-libslirp-dev:lazy_static
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features libc
Features: test-name=librust-libslirp-dev:libc
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features libsystemd
Features: test-name=librust-libslirp-dev:libsystemd
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features mio
Features: test-name=librust-libslirp-dev:mio
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features mio-extras
Features: test-name=librust-libslirp-dev:mio-extras
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features nix
Features: test-name=librust-libslirp-dev:nix
Depends: dh-cargo (>= 18), librust-etherparse-0.13+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.1 --all-targets --no-default-features --features slab
Features: test-name=librust-libslirp-dev:slab

## rust-libslirp 4.3.2

=== debian/changelog ===
rust-libslirp (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Package libslirp 4.3.2 from crates.io using debcargo 2.7.8

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Sep 2025 19:42:49 +0000

rust-libslirp (4.3.2-1) unstable; urgency=medium

  * Package libslirp 4.3.2 from crates.io using debcargo 2.7.0
  * Drop nix-0.27.patch, no longer needed
  * Update relax-deps.patch for new upstream and current situation in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 23 Oct 2024 01:09:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: rust-libslirp
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-enumflags2-0.7+default-dev,
  librust-ipnetwork-0+default-dev (>= 0.17-~~),
- librust-lazy-static-1+default-dev (>= 1.4-~~),
+ librust-lazy-static-1+default-dev (>= 1.5-~~),
  librust-libc-0.2+default-dev,
  librust-libslirp-sys-4+default-dev (>= 4.2.1-~~),
- librust-libsystemd-0.5+default-dev,
- librust-mio-0.6+default-dev (>= 0.6.19-~~),
- librust-mio-extras-2+default-dev (>= 2.0.5-~~),
- librust-nix-0.27+default-dev,
- librust-nix-0.27+fs-dev,
- librust-nix-0.27+ioctl-dev,
- librust-nix-0.27+sched-dev,
- librust-slab-0.4+default-dev,
- librust-structopt-0.3+default-dev,
- librust-url-2+default-dev (>= 2.1-~~),
- librust-zbus-1+default-dev,
- librust-zvariant-2+default-dev
+ librust-libsystemd-0+default-dev (>= 0.5-~~),
+ librust-mio-0.6+default-dev (>= 0.6.23-~~),
+ librust-mio-extras-2+default-dev (>= 2.0.6-~~),
+ librust-nix-0+default-dev (>= 0.27-~~),
+ librust-nix-0+fs-dev (>= 0.27-~~),
+ librust-nix-0+ioctl-dev (>= 0.27-~~),
+ librust-nix-0+sched-dev (>= 0.27-~~),
+ librust-slab-0.4+default-dev (>= 0.4.9-~~),
+ librust-structopt-0.3+default-dev (>= 0.3.26-~~),
+ librust-url-2+default-dev (>= 2.5-~~),
+ librust-zbus-1+default-dev (>= 1.9-~~),
+ librust-zvariant-2+default-dev (>= 2.10-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/libslirp]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/libslirp
 Homepage: https://gitlab.freedesktop.org/slirp/libslirp-rs
@@ -40,21 +40,21 @@
  ${misc:Depends},
  librust-enumflags2-0.7+default-dev,
  librust-ipnetwork-0+default-dev (>= 0.17-~~),
- librust-lazy-static-1+default-dev (>= 1.4-~~),
+ librust-lazy-static-1+default-dev (>= 1.5-~~),
  librust-libc-0.2+default-dev,
  librust-libslirp-sys-4+default-dev (>= 4.2.1-~~),
- librust-libsystemd-0.5+default-dev,
- librust-mio-0.6+default-dev (>= 0.6.19-~~),
- librust-mio-extras-2+default-dev (>= 2.0.5-~~),
- librust-nix-0.27+default-dev,
- librust-nix-0.27+fs-dev,
- librust-nix-0.27+ioctl-dev,
- librust-nix-0.27+sched-dev,
- librust-slab-0.4+default-dev,
- librust-structopt-0.3+default-dev,
- librust-url-2+default-dev (>= 2.1-~~),
- librust-zbus-1+default-dev,
- librust-zvariant-2+default-dev
+ librust-libsystemd-0+default-dev (>= 0.5-~~),
+ librust-mio-0.6+default-dev (>= 0.6.23-~~),
+ librust-mio-extras-2+default-dev (>= 2.0.6-~~),
+ librust-nix-0+default-dev (>= 0.27-~~),
+ librust-nix-0+fs-dev (>= 0.27-~~),
+ librust-nix-0+ioctl-dev (>= 0.27-~~),
+ librust-nix-0+sched-dev (>= 0.27-~~),
+ librust-slab-0.4+default-dev (>= 0.4.9-~~),
+ librust-structopt-0.3+default-dev (>= 0.3.26-~~),
+ librust-url-2+default-dev (>= 2.5-~~),
+ librust-zbus-1+default-dev (>= 1.9-~~),
+ librust-zvariant-2+default-dev (>= 2.10-~~)
 Provides:
  librust-libslirp+default-dev (= ${binary:Version}),
  librust-libslirp+enumflags2-dev (= ${binary:Version}),
@@ -100,27 +100,26 @@
  librust-libslirp-4.3+url-dev (= ${binary:Version}),
  librust-libslirp-4.3+zbus-dev (= ${binary:Version}),
  librust-libslirp-4.3+zvariant-dev (= ${binary:Version}),
- librust-libslirp-4.3.1-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+default-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+enumflags2-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+ipnetwork-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+lazy-static-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+libc-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+libsystemd-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+mio-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+mio-extras-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+nix-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+slab-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+structopt-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+url-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+zbus-dev (= ${binary:Version}),
- librust-libslirp-4.3.1+zvariant-dev (= ${binary:Version})
+ librust-libslirp-4.3.2-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+default-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+enumflags2-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+ipnetwork-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+lazy-static-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+libc-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+libsystemd-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+mio-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+mio-extras-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+nix-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+slab-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+structopt-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+url-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+zbus-dev (= ${binary:Version}),
+ librust-libslirp-4.3.2+zvariant-dev (= ${binary:Version})
 Description: high-level Rust bindings for libslirp
  Source code for Debianized Rust crate "libslirp"
 
 Package: libslirp-helper
 Architecture: any
-Multi-Arch: allowed
 Section: devel
 Depends:
  ${misc:Depends},
@@ -133,7 +132,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: helper process for libslirp
  This package contains the following binaries built from the Rust crate
  "libslirp":

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --all-features
Features: test-name=rust-libslirp:@
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets
Features: test-name=librust-libslirp-dev:default
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features enumflags2
Features: test-name=librust-libslirp-dev:enumflags2
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features ipnetwork
Features: test-name=librust-libslirp-dev:ipnetwork
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features lazy_static
Features: test-name=librust-libslirp-dev:lazy_static
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features libc
Features: test-name=librust-libslirp-dev:libc
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features libsystemd
Features: test-name=librust-libslirp-dev:libsystemd
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features mio
Features: test-name=librust-libslirp-dev:mio
Depends: dh-cargo (>= 31), rustc, librust-etherparse+default-dev (<< 0.17-~~), librust-etherparse+default-dev (>= 0.13-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test libslirp 4.3.2 --all-targets --no-default-features --features mio-extras
Features: test-name=librust-libslirp-dev:mio-extras

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/libslirp-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/libslirp .*/crates/libslirp/@ANY_VERSION@/download
